summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2019-02-12 15:06:55 -0500
committerBrian Evans <grknight@gentoo.org>2019-02-12 15:06:55 -0500
commitc6a8e78fca0b7ffc381b2cc7562f8f2f72137c16 (patch)
treecac318b71ccbff4bc0f20c8a839cd809bc1b20f5 /mail-filter/bmf
parentmail-filter/anubis: Revbump to fix mysql dependency and build failure (diff)
downloadgentoo-c6a8e78fca0b7ffc381b2cc7562f8f2f72137c16.tar.gz
gentoo-c6a8e78fca0b7ffc381b2cc7562f8f2f72137c16.tar.bz2
gentoo-c6a8e78fca0b7ffc381b2cc7562f8f2f72137c16.zip
mail-filter/bmf: Revbump for EAPI and fix dependency
Non-maintainer commit Bug: https://bugs.gentoo.org/665908 Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Diffstat (limited to 'mail-filter/bmf')
-rw-r--r--mail-filter/bmf/bmf-0.9.4-r3.ebuild56
-rw-r--r--mail-filter/bmf/files/bmf-0.9.4_QA.patch4
2 files changed, 58 insertions, 2 deletions
diff --git a/mail-filter/bmf/bmf-0.9.4-r3.ebuild b/mail-filter/bmf/bmf-0.9.4-r3.ebuild
new file mode 100644
index 00000000000..84ca042d34f
--- /dev/null
+++ b/mail-filter/bmf/bmf-0.9.4-r3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+IUSE="mysql berkdb"
+
+DESCRIPTION="A fast and small Bayesian spam filter"
+HOMEPAGE="http://bmf.sourceforge.net/"
+SRC_URI="mirror://sourceforge/bmf/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="mysql? ( dev-db/mysql-connector-c:0= )
+ berkdb? ( >=sys-libs/db-3.2.9 )"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}_QA.patch" )
+DOCS=( README AUTHORS ChangeLog )
+
+src_prepare() {
+ # respect CFLAGS
+ sed -i -e '/D_LINUX/s/CFLAGS="$CCDBG/CFLAGS+=" $CCDBG/' \
+ "${S}/configure" || die
+
+ # include mysql headers
+ sed -i -e '/HAVE_MYSQL/s/HAVE_MYSQL/HAVE_MYSQL `mysql_config --include`/' \
+ "${S}/configure" || die
+
+ # We don't need to be root to run install
+ sed -i -e 's/install: checkroot bmf/install: bmf/' Makefile.in || die
+
+ default
+}
+
+src_configure() {
+ # this is not an autotools script
+ ./configure \
+ $(use_with mysql) \
+ $(use_with berkdb libdb) || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+pkg_postinst() {
+ elog
+ elog "Important: Remember to train bmf before you start using it."
+ elog "See the README file for further instructions on training and using bmf"
+ elog "with procmail."
+ elog
+}
diff --git a/mail-filter/bmf/files/bmf-0.9.4_QA.patch b/mail-filter/bmf/files/bmf-0.9.4_QA.patch
index f911e05d58f..f9728fbba98 100644
--- a/mail-filter/bmf/files/bmf-0.9.4_QA.patch
+++ b/mail-filter/bmf/files/bmf-0.9.4_QA.patch
@@ -1,5 +1,5 @@
---- dbh.c 2002-10-14 07:09:51.000000000 +0000
-+++ dbh.c 2012-02-24 10:52:07.000000000 +0000
+--- a/dbh.c 2002-10-14 07:09:51.000000000 +0000
++++ b/dbh.c 2012-02-24 10:52:07.000000000 +0000
@@ -60,12 +60,16 @@
case db_text:
pdb = (dbh_t*)dbtext_db_open( dbhost, dbname, dbuser, dbpass );